Index: trunk/examples/extended/electromagnetic/TestEm3/src/PhysListEmStandard.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/PhysListEmStandard.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/PhysListEmStandard.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysListEmStandard.cc,v 1.14 2007/06/22 09:22:05 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysListEmStandard.cc,v 1.23 2009/11/13 17:01:44 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -38,15 +38,20 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
-
+#include "G4eMultipleScattering.hh"
+#include "G4UrbanMscModel93.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
 
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
 
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
+#include "G4hBremsstrahlung.hh"
+#include "G4hPairProduction.hh"
+
 #include "G4ionIonisation.hh"
 
@@ -85,28 +90,42 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1, 1);
-      pmanager->AddProcess(new G4eIonisation,        -1, 2, 2);
-      pmanager->AddProcess(new G4eBremsstrahlung(),  -1, 3, 3);
+      G4eMultipleScattering* msc = new G4eMultipleScattering();
+      msc->AddEmModel(0, new G4UrbanMscModel93());
+      pmanager->AddProcess(msc,                       -1, 1, 1);      
+      pmanager->AddProcess(new G4eIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung(),   -1, 3, 3);
       
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1, 1);
-      pmanager->AddProcess(new G4eIonisation,        -1, 2, 2);
-      pmanager->AddProcess(new G4eBremsstrahlung(),  -1, 3, 3);
-      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1, 4);
+      G4eMultipleScattering* msc = new G4eMultipleScattering();
+      msc->AddEmModel(0, new G4UrbanMscModel93());
+      pmanager->AddProcess(msc,                       -1, 1, 1);      
+      pmanager->AddProcess(new G4eIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung(),   -1, 3, 3);
+      pmanager->AddProcess(new G4eplusAnnihilation,    0,-1, 4);
       
-    } else if( particleName == "mu+" || 
-               particleName == "mu-"    ) {
+    } else if( particleName == "mu-" || 
+               particleName == "mu+"    ) {
       //muon  
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1, 1);
-      pmanager->AddProcess(new G4MuIonisation,       -1, 2, 2);
-      pmanager->AddProcess(new G4MuBremsstrahlung,   -1, 3, 3);
-      pmanager->AddProcess(new G4MuPairProduction,   -1, 4, 4);       
+      pmanager->AddProcess(new G4MuMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4MuIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4MuBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4MuPairProduction,     -1, 4, 4);
+             
+    } else if( particleName == "proton" ||
+               particleName == "pi-" ||
+               particleName == "pi+"    ) {
+      //proton  
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4hBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4hPairProduction,     -1, 4, 4);       
      
     } else if( particleName == "alpha" || 
 	       particleName == "He3" || 
-	       particleName == "GenericIon" ) { 
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1, 1);
-      pmanager->AddProcess(new G4ionIonisation,      -1, 2, 2);
+	       particleName == "GenericIon" ) {
+      //Ions 
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4ionIonisation,       -1, 2, 2);
 
     } else if ((!particle->IsShortLived()) &&
@@ -114,6 +133,6 @@
 	       (particle->GetParticleName() != "chargedgeantino")) {
       //all others charged particles except geantino
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1, 1);
-      pmanager->AddProcess(new G4hIonisation,        -1, 2, 2);
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
     }
   }
@@ -121,19 +140,32 @@
   // Em options
   //
+  // Main options and setting parameters are shown here.
+  // Several of them have default values.
+  //
   G4EmProcessOptions emOptions;
-    
-  //coulomb scattering
+  
+  //physics tables
   //
-  emOptions.SetMscStepLimitation(fUseDistanceToBoundary);   
-  emOptions.SetSkin(2.);
-  
+  emOptions.SetMinEnergy(100*eV);	//default    
+  emOptions.SetMaxEnergy(100*TeV);	//default  
+  emOptions.SetDEDXBinning(12*20);	//default=12*7  
+  emOptions.SetLambdaBinning(12*20);	//default=12*7
+  emOptions.SetSplineFlag(true);	//default
+      
+  //multiple coulomb scattering
+  //
+  emOptions.SetMscStepLimitation(fUseDistanceToBoundary);  //default=fUseSafety
+  emOptions.SetMscRangeFactor(0.04);	//default
+  emOptions.SetMscGeomFactor (2.5);	//default       
+  emOptions.SetSkin(3.);		//default
+      
   //energy loss
   //
-  emOptions.SetLinearLossLimit(1.e-6);
-  emOptions.SetStepFunction(0.2, 100*um); 
+  emOptions.SetStepFunction(0.2, 100*um);	//default=(0.2, 1*mm)      
+  emOptions.SetLinearLossLimit(1.e-2);		//default
    
   //ionization
   //
-  emOptions.SetSubCutoff(true);
+  emOptions.SetSubCutoff(false);		//default=false
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm3/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.20 2007/11/13 14:37:05 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.30 2009/11/13 17:01:44 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,14 +34,14 @@
 
 #include "PhysListEmStandard.hh"
-#include "PhysListEmStandardIG.hh"
-#include "PhysListEmLivermore.hh"
-#include "PhysListEmPenelope.hh"
 
 #include "G4EmStandardPhysics.hh"
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
-
-#include "G4LossTableManager.hh"
+#include "G4EmStandardPhysics_option3.hh"
+#include "G4EmLivermorePhysics.hh"
+#include "G4EmPenelopePhysics.hh"
+
 #include "G4UnitsTable.hh"
+#include "G4UrbanMscModel.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -49,5 +49,4 @@
 PhysicsList::PhysicsList() : G4VModularPhysicsList()
 {
-  G4LossTableManager::Instance();
   currentDefaultCut   = 1.0*mm;
   cutForGamma         = currentDefaultCut;
@@ -60,5 +59,5 @@
 
   // EM physics
-  emName = G4String("standard");
+  emName = G4String("local");
   emPhysicsList = new PhysListEmStandard(emName);
 
@@ -214,5 +213,5 @@
   if (name == emName) return;
 
-  if (name == "standard") {
+  if (name == "local") {
 
     emName = name;
@@ -220,5 +219,5 @@
     emPhysicsList = new PhysListEmStandard(name);
 
-  } else if (name == "emstandard") {
+  } else if (name == "emstandard_opt0") {
 
     emName = name;
@@ -237,22 +236,22 @@
     delete emPhysicsList;
     emPhysicsList = new G4EmStandardPhysics_option2();
-
-  } else if (name == "standardIG") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmStandardIG(name);
-
-  } else if (name == "livermore") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmLivermore(name);
-
-  } else if (name == "penelope") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmPenelope(name);
+    
+  } else if (name == "emstandard_opt3") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmStandardPhysics_option3();
+    
+  } else if (name == "emlivermore") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmLivermorePhysics();
+
+  } else if (name == "empenelope") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmPenelopePhysics();
 
   } else {
@@ -288,6 +287,5 @@
 
 void PhysicsList::SetCuts()
-{
-     
+{     
   if (verboseLevel >0){
     G4cout << "PhysicsList::SetCuts:";
@@ -306,8 +304,4 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-#include "G4Gamma.hh"
-#include "G4Electron.hh"
-#include "G4Positron.hh"
-
 void PhysicsList::SetCutForGamma(G4double cut)
 {
Index: trunk/examples/extended/electromagnetic/TestEm3/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.3 2006/06/29 16:52:57 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.7 2006/06/29 16:53:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.3 2006/06/29 16:53:02 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/RunAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.34 2007/04/24 13:05:14 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: RunAction.cc,v 1.37 2008/05/29 16:59:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -131,5 +131,5 @@
   G4cout << "\n------------------------------------------------------------\n";
   G4cout << std::setw(14) << "material"
-         << std::setw(17) << "Total Edep"
+         << std::setw(17) << "Edep       RMS"
 	 << std::setw(33) << "sqrt(E0(GeV))*rmsE/Emean"
 	 << std::setw(23) << "total tracklen \n \n";
@@ -139,6 +139,7 @@
       MeanEAbs  = sumEAbs[k]*norm;
       MeanEAbs2 = sum2EAbs[k]*norm;
-      rmsEAbs  = std::sqrt(std::fabs(MeanEAbs2 - MeanEAbs*MeanEAbs));
-
+      rmsEAbs  = std::sqrt(std::abs(MeanEAbs2 - MeanEAbs*MeanEAbs));
+      //G4cout << "k= " << k << "  RMS= " <<  rmsEAbs 
+      //     << "  applyLimit: " << applyLimit << G4endl;
       if(applyLimit) {
         G4int    nn    = 0;
@@ -159,5 +160,5 @@
 	MeanEAbs  = sume*norm1;
 	MeanEAbs2 = sume2*norm1;
-	rmsEAbs  = std::sqrt(std::fabs(MeanEAbs2 - MeanEAbs*MeanEAbs));
+	rmsEAbs  = std::sqrt(std::abs(MeanEAbs2 - MeanEAbs*MeanEAbs));
       }
 
@@ -171,5 +172,5 @@
       MeanLAbs  = sumLAbs[k]*norm;
       MeanLAbs2 = sum2LAbs[k]*norm;
-      rmsLAbs  = std::sqrt(std::fabs(MeanLAbs2 - MeanLAbs*MeanLAbs));
+      rmsLAbs  = std::sqrt(std::abs(MeanLAbs2 - MeanLAbs*MeanLAbs));
 
       //print
@@ -178,5 +179,5 @@
        << std::setw(14) << Detector->GetAbsorMaterial(k)->GetName() << ": "
        << std::setprecision(5)
-       << std::setw(6) << G4BestUnit(MeanEAbs,"Energy") << " +- "
+       << std::setw(6) << G4BestUnit(MeanEAbs,"Energy") << " :  "
        << std::setprecision(4)
        << std::setw(5) << G4BestUnit( rmsEAbs,"Energy")  
@@ -189,4 +190,9 @@
     }
   G4cout << "\n------------------------------------------------------------\n";
+
+  G4cout << " Beam particle " 
+	 << Primary->GetParticleGun()->
+    GetParticleDefinition()->GetParticleName()
+	 << "  E = " << G4BestUnit(beamEnergy,"Energy") << G4endl;
   
   //Energy flow
Index: trunk/examples/extended/electromagnetic/TestEm3/src/RunActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/RunActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/RunActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.cc,v 1.13 2007/04/25 10:07:27 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/StepMax.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.4 2006/06/29 16:53:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/StepMaxMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.3 2006/06/29 16:53:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/SteppingAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.cc,v 1.25 2006/06/29 16:53:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: SteppingAction.cc,v 1.28 2008/05/29 16:59:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -47,5 +47,5 @@
 :G4UserSteppingAction(),detector(det),runAct(run),eventAct(evt),
  histoManager(hist) 
-{}
+{ }
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -81,10 +81,13 @@
   G4double stepl = 0.;
   if (particle->GetPDGCharge() != 0.) stepl = aStep->GetStepLength();
-    
+  
+  //  G4cout << "Nabs= " << absorNum << "   edep(keV)= " << edep << G4endl;
+  
   // sum up per event
   eventAct->SumEnergy(absorNum,edep,stepl);
   
   //longitudinal profile of edep per absorber
-  if (edep>0.) histoManager->FillHisto(MaxAbsor+absorNum, layerNum+1., edep);
+  if (edep>0.) histoManager->FillHisto(MaxAbsor+absorNum, 
+				       G4double(layerNum+1), edep);
   
   //energy flow
@@ -108,30 +111,27 @@
 
 ////  example of Birk attenuation
-////  G4double destep   = aStep->GetTotalEnergyDeposit();
-////  G4double response = BirkAttenuation(aStep);
-////  G4cout << " Destep: " << destep/keV << " keV"
-////         << " response after Birk: "  << response/keV << " keV" << G4endl;
+///G4double destep   = aStep->GetTotalEnergyDeposit();
+///G4double response = BirksAttenuation(aStep);
+///G4cout << " Destep: " << destep/keV << " keV"
+///       << " response after Birks: " << response/keV << " keV" << G4endl;
 }
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4double SteppingAction::BirkAttenuation(const G4Step* aStep)
+G4double SteppingAction::BirksAttenuation(const G4Step* aStep)
 {
  //Example of Birk attenuation law in organic scintillators.
  //adapted from Geant3 PHYS337. See MIN 80 (1970) 239-244
  //
- const G4String myMaterial = "Scintillator";
- const G4double birk1 = 0.013*g/(MeV*cm2);
- //
+ G4Material* material = aStep->GetTrack()->GetMaterial();
+ G4double birk1       = material->GetIonisation()->GetBirksConstant();
  G4double destep      = aStep->GetTotalEnergyDeposit();
- G4Material* material = aStep->GetTrack()->GetMaterial();
+ G4double stepl       = aStep->GetStepLength();  
  G4double charge      = aStep->GetTrack()->GetDefinition()->GetPDGCharge();
  //
  G4double response = destep;
- if ((material->GetName()==myMaterial)&&(charge!=0.))
+ if (birk1*destep*stepl*charge != 0.)
    {
-     G4double correction =
-     birk1*destep/((material->GetDensity())*(aStep->GetStepLength()));
-     response = destep/(1. + correction);
+     response = destep/(1. + birk1*destep/stepl);
    }
  return response;
Index: trunk/examples/extended/electromagnetic/TestEm3/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.4 2006/06/29 16:53:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/src/TrackingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/src/TrackingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TrackingAction.cc,v 1.2 2006/06/29 16:53:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/storeTables.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/storeTables.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm3/storeTables.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: storeTables.mac,v 1.8 2007/05/18 19:00:44 vnivanch Exp $
+# $Id: storeTables.mac,v 1.10 2009/09/17 20:06:26 maire Exp $
 #
 # Macro file for "testEm3.cc"
@@ -8,7 +8,9 @@
 /control/verbose 2
 #
-/testem/phys/addPhysics  emstandard
+/testem/phys/addPhysics  emstandard_opt0
 #
 /run/initialize
+/process/eLoss/verbose 1
+/process/eLoss/CSDARange true
 /run/beamOn 3
 #
Index: trunk/examples/extended/electromagnetic/TestEm4/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.14 2006/10/20 16:38:15 maire Exp $
+# $Id: GNUmakefile,v 1.15 2008/06/11 22:15:20 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm4/TestEm4.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/TestEm4.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/TestEm4.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TestEm4.cc,v 1.12 2007/06/22 09:55:22 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
Index: trunk/examples/extended/electromagnetic/TestEm4/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/DetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.3 2006/06/29 16:53:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/EventAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: EventAction.hh,v 1.2 2006/06/29 16:53:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/EventActionMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:53:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/PhysicsList.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.hh,v 1.2 2006/06/29 16:53:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.2 2006/06/29 16:53:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.7 2006/06/29 16:53:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm4/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/SteppingAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingAction.hh,v 1.2 2006/06/29 16:53:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/SteppingVerbose.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.2 2006/06/29 16:53:48 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/DetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.3 2006/06/29 16:53:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/EventAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.7 2006/06/29 16:53:57 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm4/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/EventActionMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.3 2006/06/29 16:54:15 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/PhysicsList.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.cc,v 1.6 2006/06/29 16:54:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.7 2008/04/07 13:09:43 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
@@ -95,5 +95,5 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
+#include "G4eMultipleScattering.hh"
 
 #include "G4eIonisation.hh"
@@ -121,15 +121,15 @@
     //electron
 
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);      
+      pmanager->AddProcess(new G4eMultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4eIonisation,        -1, 2,2);
+      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);      
 
     } else if (particleName == "e+") {
     //positron
 
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
-      pmanager->AddProcess(new G4eplusAnnihilation,  0,-1,4);      
+      pmanager->AddProcess(new G4eMultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4eIonisation,        -1, 2,2);
+      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
+      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1,4);      
     }
   }
Index: trunk/examples/extended/electromagnetic/TestEm4/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.3 2006/06/29 16:54:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/RunAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.10 2006/06/29 16:54:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.cc,v 1.11 2008/09/12 18:46:14 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -59,7 +59,7 @@
    G4bool readOnly  = false;
    G4bool createNew = true;
-   G4String options =  "--noErrors uncompress";
-   tree = tf->create("testem4.hbook","hbook",readOnly,createNew, options);
-   //tree = tf->create("testem4.root","root",readOnly,createNew, options);
+   G4String options =  "--noErrors export=root uncompress";
+   //tree = tf->create("testem4.hbook","hbook",readOnly,createNew, options);
+   tree = tf->create("testem4.root","root",readOnly,createNew, options);
    //tree = tf->create("testem4.XML" ,"XML" ,readOnly,createNew, options);
    delete tf;
Index: trunk/examples/extended/electromagnetic/TestEm4/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/SteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingAction.cc,v 1.2 2006/06/29 16:54:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
